module: dylan-user
author: Andreas Bogk <andreas@andreas.org>
copyright: (C) Andreas Bogk, under modified BSD license

define module libpng-internal
  use dylan;
  use extensions;
  use melange-support;
  export
    $PNG-ALL-FILTERS,
    $PNG-ALL-MNG-FEATURES,
    $PNG-ASM-FLAG-MMX-READ-COMBINE-ROW,
    $PNG-ASM-FLAG-MMX-READ-FILTER-AVG,
    $PNG-ASM-FLAG-MMX-READ-FILTER-PAETH,
    $PNG-ASM-FLAG-MMX-READ-FILTER-SUB,
    $PNG-ASM-FLAG-MMX-READ-FILTER-UP,
    $PNG-ASM-FLAG-MMX-READ-INTERLACE,
    $PNG-ASM-FLAG-MMX-SUPPORT-COMPILED,
    $PNG-ASM-FLAG-MMX-SUPPORT-IN-CPU,
    $PNG-ASM-FLAGS-INITIALIZED,
    $PNG-BACKGROUND-GAMMA-FILE,
    $PNG-BACKGROUND-GAMMA-SCREEN,
    $PNG-BACKGROUND-GAMMA-UNIQUE,
    $PNG-BACKGROUND-GAMMA-UNKNOWN,
    $PNG-COLOR-MASK-ALPHA,
    $PNG-COLOR-MASK-COLOR,
    $PNG-COLOR-MASK-PALETTE,
    $PNG-COLOR-TYPE-GA,
    $PNG-COLOR-TYPE-GRAY,
    $PNG-COLOR-TYPE-GRAY-ALPHA,
    $PNG-COLOR-TYPE-PALETTE,
    $PNG-COLOR-TYPE-RGB,
    $PNG-COLOR-TYPE-RGB-ALPHA,
    $PNG-COLOR-TYPE-RGBA,
    $PNG-COMPRESSION-TYPE-BASE,
    $PNG-COMPRESSION-TYPE-DEFAULT,
    $PNG-CRC-DEFAULT,
    $PNG-CRC-ERROR-QUIT,
    $PNG-CRC-NO-CHANGE,
    $PNG-CRC-QUIET-USE,
    $PNG-CRC-WARN-DISCARD,
    $PNG-CRC-WARN-USE,
    $PNG-DESTROY-WILL-FREE-DATA,
    $PNG-EQUATION-ARBITRARY,
    $PNG-EQUATION-BASE-E,
    $PNG-EQUATION-HYPERBOLIC,
    $PNG-EQUATION-LAST,
    $PNG-EQUATION-LINEAR,
    $PNG-FILLER-AFTER,
    $PNG-FILLER-BEFORE,
    $PNG-FILTER-AVG,
    $PNG-FILTER-HEURISTIC-DEFAULT,
    $PNG-FILTER-HEURISTIC-LAST,
    $PNG-FILTER-HEURISTIC-UNWEIGHTED,
    $PNG-FILTER-HEURISTIC-WEIGHTED,
    $PNG-FILTER-NONE,
    $PNG-FILTER-PAETH,
    $PNG-FILTER-SUB,
    $PNG-FILTER-TYPE-BASE,
    $PNG-FILTER-TYPE-DEFAULT,
    $PNG-FILTER-UP,
    $PNG-FILTER-VALUE-AVG,
    $PNG-FILTER-VALUE-LAST,
    $PNG-FILTER-VALUE-NONE,
    $PNG-FILTER-VALUE-PAETH,
    $PNG-FILTER-VALUE-SUB,
    $PNG-FILTER-VALUE-UP,
    $PNG-FLAG-MNG-EMPTY-PLTE,
    $PNG-FLAG-MNG-FILTER-64,
    $PNG-FREE-ALL,
    $PNG-FREE-HIST,
    $PNG-FREE-ICCP,
    $PNG-FREE-LIST,
    $PNG-FREE-MUL,
    $PNG-FREE-PCAL,
    $PNG-FREE-PLTE,
    $PNG-FREE-ROWS,
    $PNG-FREE-SCAL,
    $PNG-FREE-SPLT,
    $PNG-FREE-TEXT,
    $PNG-FREE-TRNS,
    $PNG-FREE-UNKN,
    $PNG-HEADER-VERSION-STRING,
    $PNG-INFO-IDAT,
    $PNG-INFO-PLTE,
    $PNG-INFO-b-KGD,
    $PNG-INFO-c-HRM,
    $PNG-INFO-g-AMA,
    $PNG-INFO-h-IST,
    $PNG-INFO-i-CCP,
    $PNG-INFO-o-F-Fs,
    $PNG-INFO-p-CAL,
    $PNG-INFO-p-H-Ys,
    $PNG-INFO-s-BIT,
    $PNG-INFO-s-CAL,
    $PNG-INFO-s-PLT,
    $PNG-INFO-s-RGB,
    $PNG-INFO-t-IME,
    $PNG-INFO-t-RNS,
    $PNG-INTERLACE-ADAM7,
    $PNG-INTERLACE-LAST,
    $PNG-INTERLACE-NONE,
    $PNG-INTRAPIXEL-DIFFERENCING,
    $PNG-ITXT-COMPRESSION-NONE,
    $PNG-ITXT-COMPRESSION-z-T-Xt,
    $PNG-KEYWORD-MAX-LENGTH,
    $PNG-LIBPNG-BUILD-ALPHA,
    $PNG-LIBPNG-BUILD-BETA,
    $PNG-LIBPNG-BUILD-PATCH,
    $PNG-LIBPNG-BUILD-RC,
    $PNG-LIBPNG-BUILD-STABLE,
    $PNG-LIBPNG-BUILD-TYPE,
    $PNG-LIBPNG-BUILD-TYPEMASK,
    $PNG-LIBPNG-VER,
    $PNG-LIBPNG-VER-BUILD,
    $PNG-LIBPNG-VER-MAJOR,
    $PNG-LIBPNG-VER-MINOR,
    $PNG-LIBPNG-VER-RELEASE,
    $PNG-LIBPNG-VER-SONUM,
    $PNG-LIBPNG-VER-STRING,
    $PNG-MAX-PALETTE-LENGTH,
    $PNG-MAX-UINT,
    $PNG-MMX-FLAGS,
    $PNG-MMX-READ-FLAGS,
    $PNG-MMX-WRITE-FLAGS,
    $PNG-NO-FILTERS,
    $PNG-OFFSET-LAST,
    $PNG-OFFSET-MICROMETER,
    $PNG-OFFSET-PIXEL,
    $PNG-RESOLUTION-LAST,
    $PNG-RESOLUTION-METER,
    $PNG-RESOLUTION-UNKNOWN,
    $PNG-SCALE-LAST,
    $PNG-SCALE-METER,
    $PNG-SCALE-RADIAN,
    $PNG-SCALE-UNKNOWN,
    $PNG-SELECT-READ,
    $PNG-SELECT-WRITE,
    $PNG-SET-WILL-FREE-DATA,
    $PNG-TEXT-COMPRESSION-LAST,
    $PNG-TEXT-COMPRESSION-NONE,
    $PNG-TEXT-COMPRESSION-NONE-WR,
    $PNG-TEXT-COMPRESSION-z-T-Xt,
    $PNG-TEXT-COMPRESSION-z-T-Xt-WR,
    $PNG-TRANSFORM-BGR,
    $PNG-TRANSFORM-EXPAND,
    $PNG-TRANSFORM-IDENTITY,
    $PNG-TRANSFORM-INVERT-ALPHA,
    $PNG-TRANSFORM-INVERT-MONO,
    $PNG-TRANSFORM-PACKING,
    $PNG-TRANSFORM-PACKSWAP,
    $PNG-TRANSFORM-SHIFT,
    $PNG-TRANSFORM-STRIP-16,
    $PNG-TRANSFORM-STRIP-ALPHA,
    $PNG-TRANSFORM-STRIP-FILLER,
    $PNG-TRANSFORM-SWAP-ALPHA,
    $PNG-TRANSFORM-SWAP-ENDIAN,
    $PNG-USER-WILL-FREE-DATA,
    $PNG-s-RGB-INTENT-ABSOLUTE,
    $PNG-s-RGB-INTENT-LAST,
    $PNG-s-RGB-INTENT-PERCEPTUAL,
    $PNG-s-RGB-INTENT-RELATIVE,
    $PNG-s-RGB-INTENT-SATURATION,
    <Bytef*>,
    <Bytef>,
    <FILE>,
    <_IO-FILE>,
    <_IO-lock-t*>,
    <_IO-lock-t>,
    <_IO-marker>,
    <__jmp-buf-tag<@1>>,
    <__jmp-buf-tag>,
    <__jmp-buf>,
    <__off-t>,
    <__off64-t>,
    <__sigset-t>,
    <__time-t>,
    <alloc-func>,
    <anonymous-0>,
    <anonymous-1>,
    <anonymous-237>,
    <anonymous-238>,
    <anonymous-239>,
    <anonymous-240>,
    <anonymous-241>,
    <anonymous-242>,
    <anonymous-243>,
    <anonymous-244>,
    <anonymous-245>,
    <anonymous-246>,
    <anonymous-247>,
    <anonymous-248>,
    <anonymous-249>,
    <b-yte>,
    <char**>,
    <char*>,
    <char<@18>>,
    <char<@1>>,
    <char<@52>>,
    <double*>,
    <free-func>,
    <int*>,
    <int<@6>>,
    <int<@7>>,
    <internal-state>,
    <jmp-buf>,
    <png-FILE-p>,
    <png-byte**>,
    <png-byte*>,
    <png-byte<@5>>,
    <png-byte<@8>>,
    <png-byte>,
    <png-bytep*>,
    <png-bytep>,
    <png-bytepp>,
    <png-charp*>,
    <png-charp>,
    <png-charpp*>,
    <png-charpp>,
    <png-color*>,
    <png-color-16*>,
    <png-color-16-struct>,
    <png-color-16>,
    <png-color-16p*>,
    <png-color-16p>,
    <png-color-16pp>,
    <png-color-8*>,
    <png-color-8-struct>,
    <png-color-8>,
    <png-color-8p*>,
    <png-color-8p>,
    <png-color-8pp>,
    <png-color-struct>,
    <png-color>,
    <png-colorp*>,
    <png-colorp>,
    <png-colorpp>,
    <png-const-charp>,
    <png-doublep>,
    <png-error-ptr>,
    <png-fixed-point*>,
    <png-fixed-point>,
    <png-flush-ptr>,
    <png-free-ptr>,
    <png-info*>,
    <png-info-struct>,
    <png-info>,
    <png-infop>,
    <png-infopp>,
    <png-int-32*>,
    <png-int-32>,
    <png-malloc-ptr>,
    <png-progressive-end-ptr>,
    <png-progressive-info-ptr>,
    <png-progressive-row-ptr>,
    <png-read-status-ptr>,
    <png-row-info*>,
    <png-row-info-struct>,
    <png-row-info>,
    <png-row-infop>,
    <png-row-infopp>,
    <png-rw-ptr>,
    <png-s-PLT-entry*>,
    <png-s-PLT-entry-struct>,
    <png-s-PLT-entry>,
    <png-s-PLT-entryp>,
    <png-s-PLT-entrypp>,
    <png-s-PLT-struct>,
    <png-s-PLT-t*>,
    <png-s-PLT-t>,
    <png-s-PLT-tp>,
    <png-s-PLT-tpp>,
    <png-size-t>,
    <png-struct*>,
    <png-struct-def>,
    <png-struct>,
    <png-structp>,
    <png-structpp>,
    <png-text*>,
    <png-text-struct>,
    <png-text>,
    <png-textp*>,
    <png-textp>,
    <png-textpp>,
    <png-time*>,
    <png-time-struct>,
    <png-time>,
    <png-timep*>,
    <png-timep>,
    <png-timepp>,
    <png-uint-16**>,
    <png-uint-16*>,
    <png-uint-16>,
    <png-uint-16p*>,
    <png-uint-16p>,
    <png-uint-16pp>,
    <png-uint-32*>,
    <png-uint-32>,
    <png-unknown-chunk*>,
    <png-unknown-chunk-ptr>,
    <png-unknown-chunk-t>,
    <png-unknown-chunk>,
    <png-unknown-chunkp>,
    <png-unknown-chunkpp>,
    <png-user-chunk-ptr>,
    <png-user-transform-ptr>,
    <png-voidp>,
    <png-write-status-ptr>,
    <size-t>,
    <time-t>,
    <tm>,
    <u-Int>,
    <u-Long>,
    <unsigned-long*>,
    <unsigned-long<@32>>,
    <version-1-2-5>,
    <voidpf>,
    <z-stream-s>,
    <z-stream>,
    get-_IO-backup-base,
    get-_IO-backup-base-setter,
    get-_IO-buf-base,
    get-_IO-buf-base-setter,
    get-_IO-buf-end,
    get-_IO-buf-end-setter,
    get-_IO-read-base,
    get-_IO-read-base-setter,
    get-_IO-read-end,
    get-_IO-read-end-setter,
    get-_IO-read-ptr,
    get-_IO-read-ptr-setter,
    get-_IO-save-base,
    get-_IO-save-base-setter,
    get-_IO-save-end,
    get-_IO-save-end-setter,
    get-_IO-write-base,
    get-_IO-write-base-setter,
    get-_IO-write-end,
    get-_IO-write-end-setter,
    get-_IO-write-ptr,
    get-_IO-write-ptr-setter,
    get-__jmpbuf,
    get-__mask-was-saved,
    get-__mask-was-saved-setter,
    get-__pad1,
    get-__pad1-setter,
    get-__pad2,
    get-__pad2-setter,
    get-__saved-mask,
    get-__val,
    get-_chain,
    get-_chain-setter,
    get-_cur-column,
    get-_cur-column-setter,
    get-_fileno,
    get-_fileno-setter,
    get-_flags,
    get-_flags-setter,
    get-_flags2,
    get-_flags2-setter,
    get-_lock,
    get-_lock-setter,
    get-_markers,
    get-_markers-setter,
    get-_mode,
    get-_mode-setter,
    get-_next,
    get-_next-setter,
    get-_offset,
    get-_offset-setter,
    get-_old-offset,
    get-_old-offset-setter,
    get-_pos,
    get-_pos-setter,
    get-_sbuf,
    get-_sbuf-setter,
    get-_shortbuf,
    get-_unused2,
    get-_vtable-offset,
    get-_vtable-offset-setter,
    get-adler,
    get-adler-setter,
    get-alpha,
    get-alpha-setter,
    get-asm-flags,
    get-asm-flags-setter,
    get-avail-in,
    get-avail-in-setter,
    get-avail-out,
    get-avail-out-setter,
    get-avg-row,
    get-avg-row-setter,
    get-background,
    get-background-1,
    get-background-gamma,
    get-background-gamma-setter,
    get-background-gamma-type,
    get-background-gamma-type-setter,
    get-big-row-buf,
    get-big-row-buf-setter,
    get-bit-depth,
    get-bit-depth-setter,
    get-blue,
    get-blue-setter,
    get-buffer-size,
    get-buffer-size-setter,
    get-channels,
    get-channels-setter,
    get-chunk-list,
    get-chunk-list-setter,
    get-chunk-name,
    get-color-type,
    get-color-type-setter,
    get-compression,
    get-compression-setter,
    get-compression-type,
    get-compression-type-setter,
    get-crc,
    get-crc-setter,
    get-cur-palette,
    get-cur-palette-setter,
    get-current-buffer,
    get-current-buffer-ptr,
    get-current-buffer-ptr-setter,
    get-current-buffer-setter,
    get-current-buffer-size,
    get-current-buffer-size-setter,
    get-current-text,
    get-current-text-left,
    get-current-text-left-setter,
    get-current-text-ptr,
    get-current-text-ptr-setter,
    get-current-text-setter,
    get-current-text-size,
    get-current-text-size-setter,
    get-data,
    get-data-setter,
    get-data-type,
    get-data-type-setter,
    get-day,
    get-day-setter,
    get-depth,
    get-depth-setter,
    get-dither-index,
    get-dither-index-setter,
    get-dither-sort,
    get-dither-sort-setter,
    get-do-filter,
    get-do-filter-setter,
    get-dummy,
    get-dummy-setter,
    get-end-fn,
    get-end-fn-setter,
    get-entries,
    get-entries-setter,
    get-error-fn,
    get-error-fn-setter,
    get-error-ptr,
    get-error-ptr-setter,
    get-filler,
    get-filler-setter,
    get-filter,
    get-filter-costs,
    get-filter-costs-setter,
    get-filter-setter,
    get-filter-type,
    get-filter-type-setter,
    get-filter-weights,
    get-filter-weights-setter,
    get-flags,
    get-flags-setter,
    get-flush-dist,
    get-flush-dist-setter,
    get-flush-rows,
    get-flush-rows-setter,
    get-free-fn,
    get-free-fn-setter,
    get-free-me,
    get-free-me-setter,
    get-frequency,
    get-frequency-setter,
    get-gamma,
    get-gamma-16-from-1,
    get-gamma-16-from-1-setter,
    get-gamma-16-table,
    get-gamma-16-table-setter,
    get-gamma-16-to-1,
    get-gamma-16-to-1-setter,
    get-gamma-from-1,
    get-gamma-from-1-setter,
    get-gamma-setter,
    get-gamma-shift,
    get-gamma-shift-setter,
    get-gamma-table,
    get-gamma-table-setter,
    get-gamma-to-1,
    get-gamma-to-1-setter,
    get-gray,
    get-gray-setter,
    get-green,
    get-green-setter,
    get-height,
    get-height-setter,
    get-heuristic-method,
    get-heuristic-method-setter,
    get-hist,
    get-hist-setter,
    get-hour,
    get-hour-setter,
    get-iccp-compression,
    get-iccp-compression-setter,
    get-iccp-name,
    get-iccp-name-setter,
    get-iccp-profile,
    get-iccp-profile-setter,
    get-iccp-proflen,
    get-iccp-proflen-setter,
    get-idat-size,
    get-idat-size-setter,
    get-index,
    get-index-setter,
    get-index-to-palette,
    get-index-to-palette-setter,
    get-info-fn,
    get-info-fn-setter,
    get-int-gamma,
    get-int-gamma-setter,
    get-int-x-blue,
    get-int-x-blue-setter,
    get-int-x-green,
    get-int-x-green-setter,
    get-int-x-red,
    get-int-x-red-setter,
    get-int-x-white,
    get-int-x-white-setter,
    get-int-y-blue,
    get-int-y-blue-setter,
    get-int-y-green,
    get-int-y-green-setter,
    get-int-y-red,
    get-int-y-red-setter,
    get-int-y-white,
    get-int-y-white-setter,
    get-interlace-type,
    get-interlace-type-setter,
    get-interlaced,
    get-interlaced-setter,
    get-inv-filter-costs,
    get-inv-filter-costs-setter,
    get-inv-filter-weights,
    get-inv-filter-weights-setter,
    get-io-ptr,
    get-io-ptr-setter,
    get-irowbytes,
    get-irowbytes-setter,
    get-iwidth,
    get-iwidth-setter,
    get-jmpbuf,
    get-key,
    get-key-setter,
    get-location,
    get-location-setter,
    get-malloc-fn,
    get-malloc-fn-setter,
    get-max-text,
    get-max-text-setter,
    get-mem-ptr,
    get-mem-ptr-setter,
    get-minute,
    get-minute-setter,
    get-mmx-bitdepth-threshold,
    get-mmx-bitdepth-threshold-setter,
    get-mmx-rowbytes-threshold,
    get-mmx-rowbytes-threshold-setter,
    get-mng-features-permitted,
    get-mng-features-permitted-setter,
    get-mod-time,
    get-mode,
    get-mode-setter,
    get-month,
    get-month-setter,
    get-msg,
    get-msg-setter,
    get-name,
    get-name-setter,
    get-nentries,
    get-nentries-setter,
    get-next-in,
    get-next-in-setter,
    get-next-out,
    get-next-out-setter,
    get-num-chunk-list,
    get-num-chunk-list-setter,
    get-num-palette,
    get-num-palette-setter,
    get-num-prev-filters,
    get-num-prev-filters-setter,
    get-num-rows,
    get-num-rows-setter,
    get-num-text,
    get-num-text-setter,
    get-num-trans,
    get-num-trans-setter,
    get-offset-unit-type,
    get-offset-unit-type-setter,
    get-opaque,
    get-opaque-setter,
    get-output-flush-fn,
    get-output-flush-fn-setter,
    get-paeth-row,
    get-paeth-row-setter,
    get-palette,
    get-palette-lookup,
    get-palette-lookup-setter,
    get-palette-setter,
    get-palette-to-index,
    get-palette-to-index-setter,
    get-pass,
    get-pass-setter,
    get-pcal-X0,
    get-pcal-X0-setter,
    get-pcal-X1,
    get-pcal-X1-setter,
    get-pcal-nparams,
    get-pcal-nparams-setter,
    get-pcal-params,
    get-pcal-params-setter,
    get-pcal-purpose,
    get-pcal-purpose-setter,
    get-pcal-type,
    get-pcal-type-setter,
    get-pcal-units,
    get-pcal-units-setter,
    get-phys-unit-type,
    get-phys-unit-type-setter,
    get-pixel-depth,
    get-pixel-depth-setter,
    get-prev-filters,
    get-prev-filters-setter,
    get-prev-row,
    get-prev-row-setter,
    get-process-mode,
    get-process-mode-setter,
    get-push-length,
    get-push-length-setter,
    get-read-data-fn,
    get-read-data-fn-setter,
    get-read-row-fn,
    get-read-row-fn-setter,
    get-read-user-chunk-fn,
    get-read-user-chunk-fn-setter,
    get-read-user-transform-fn,
    get-read-user-transform-fn-setter,
    get-red,
    get-red-setter,
    get-reserved,
    get-reserved-setter,
    get-rgb-to-gray-blue-coeff,
    get-rgb-to-gray-blue-coeff-setter,
    get-rgb-to-gray-green-coeff,
    get-rgb-to-gray-green-coeff-setter,
    get-rgb-to-gray-red-coeff,
    get-rgb-to-gray-red-coeff-setter,
    get-rgb-to-gray-status,
    get-rgb-to-gray-status-setter,
    get-row-buf,
    get-row-buf-setter,
    get-row-fn,
    get-row-fn-setter,
    get-row-info,
    get-row-number,
    get-row-number-setter,
    get-row-pointers,
    get-row-pointers-setter,
    get-rowbytes,
    get-rowbytes-setter,
    get-save-buffer,
    get-save-buffer-max,
    get-save-buffer-max-setter,
    get-save-buffer-ptr,
    get-save-buffer-ptr-setter,
    get-save-buffer-setter,
    get-save-buffer-size,
    get-save-buffer-size-setter,
    get-scal-pixel-height,
    get-scal-pixel-height-setter,
    get-scal-pixel-width,
    get-scal-pixel-width-setter,
    get-scal-s-height,
    get-scal-s-height-setter,
    get-scal-s-width,
    get-scal-s-width-setter,
    get-scal-unit,
    get-scal-unit-setter,
    get-screen-gamma,
    get-screen-gamma-setter,
    get-second,
    get-second-setter,
    get-shift,
    get-sig-bit,
    get-sig-bytes,
    get-sig-bytes-setter,
    get-signature,
    get-size,
    get-size-setter,
    get-skip-length,
    get-skip-length-setter,
    get-spare-byte,
    get-spare-byte-setter,
    get-splt-palettes,
    get-splt-palettes-num,
    get-splt-palettes-num-setter,
    get-splt-palettes-setter,
    get-srgb-intent,
    get-srgb-intent-setter,
    get-state,
    get-state-setter,
    get-sub-row,
    get-sub-row-setter,
    get-text,
    get-text-length,
    get-text-length-setter,
    get-text-setter,
    get-time-buffer,
    get-time-buffer-setter,
    get-tm-gmtoff,
    get-tm-gmtoff-setter,
    get-tm-hour,
    get-tm-hour-setter,
    get-tm-isdst,
    get-tm-isdst-setter,
    get-tm-mday,
    get-tm-mday-setter,
    get-tm-min,
    get-tm-min-setter,
    get-tm-mon,
    get-tm-mon-setter,
    get-tm-sec,
    get-tm-sec-setter,
    get-tm-wday,
    get-tm-wday-setter,
    get-tm-yday,
    get-tm-yday-setter,
    get-tm-year,
    get-tm-year-setter,
    get-tm-zone,
    get-tm-zone-setter,
    get-total-in,
    get-total-in-setter,
    get-total-out,
    get-total-out-setter,
    get-trans,
    get-trans-setter,
    get-trans-values,
    get-transformations,
    get-transformations-setter,
    get-unknown-chunks,
    get-unknown-chunks-num,
    get-unknown-chunks-num-setter,
    get-unknown-chunks-setter,
    get-up-row,
    get-up-row-setter,
    get-user-chunk-ptr,
    get-user-chunk-ptr-setter,
    get-user-transform-channels,
    get-user-transform-channels-setter,
    get-user-transform-depth,
    get-user-transform-depth-setter,
    get-user-transform-ptr,
    get-user-transform-ptr-setter,
    get-usr-bit-depth,
    get-usr-bit-depth-setter,
    get-usr-channels,
    get-usr-channels-setter,
    get-usr-width,
    get-usr-width-setter,
    get-valid,
    get-valid-setter,
    get-warning-fn,
    get-warning-fn-setter,
    get-width,
    get-width-setter,
    get-write-data-fn,
    get-write-data-fn-setter,
    get-write-row-fn,
    get-write-row-fn-setter,
    get-write-user-transform-fn,
    get-write-user-transform-fn-setter,
    get-x-blue,
    get-x-blue-setter,
    get-x-green,
    get-x-green-setter,
    get-x-offset,
    get-x-offset-setter,
    get-x-pixels-per-unit,
    get-x-pixels-per-unit-setter,
    get-x-red,
    get-x-red-setter,
    get-x-white,
    get-x-white-setter,
    get-y-blue,
    get-y-blue-setter,
    get-y-green,
    get-y-green-setter,
    get-y-offset,
    get-y-offset-setter,
    get-y-pixels-per-unit,
    get-y-pixels-per-unit-setter,
    get-y-red,
    get-y-red-setter,
    get-y-white,
    get-y-white-setter,
    get-year,
    get-year-setter,
    get-zalloc,
    get-zalloc-setter,
    get-zbuf,
    get-zbuf-setter,
    get-zbuf-size,
    get-zbuf-size-setter,
    get-zfree,
    get-zfree-setter,
    get-zlib-level,
    get-zlib-level-setter,
    get-zlib-mem-level,
    get-zlib-mem-level-setter,
    get-zlib-method,
    get-zlib-method-setter,
    get-zlib-strategy,
    get-zlib-strategy-setter,
    get-zlib-window-bits,
    get-zlib-window-bits-setter,
    get-zstream,
    png-access-version-number,
    png-build-grayscale-palette,
    png-check-sig,
    png-chunk-error,
    png-chunk-warning,
    png-convert-from-struct-tm,
    png-convert-from-time-t,
    png-convert-to-rfc1123,
    png-create-info-struct,
    png-create-read-struct,
    png-create-read-struct-2,
    png-create-write-struct,
    png-create-write-struct-2,
    png-data-freer,
    png-destroy-info-struct,
    png-destroy-read-struct,
    png-destroy-write-struct,
    png-error,
    png-free,
    png-free-data,
    png-free-default,
    png-get-IHDR,
    png-get-PLTE,
    png-get-asm-flagmask,
    png-get-asm-flags,
    png-get-b-KGD,
    png-get-bit-depth,
    png-get-c-HRM,
    png-get-c-HRM-fixed,
    png-get-channels,
    png-get-color-type,
    png-get-compression-buffer-size,
    png-get-compression-type,
    png-get-copyright,
    png-get-error-ptr,
    png-get-filter-type,
    png-get-g-AMA,
    png-get-g-AMA-fixed,
    png-get-h-IST,
    png-get-header-ver,
    png-get-header-version,
    png-get-i-CCP,
    png-get-image-height,
    png-get-image-width,
    png-get-interlace-type,
    png-get-io-ptr,
    png-get-libpng-ver,
    png-get-mem-ptr,
    png-get-mmx-bitdepth-threshold,
    png-get-mmx-flagmask,
    png-get-mmx-rowbytes-threshold,
    png-get-o-F-Fs,
    png-get-p-CAL,
    png-get-p-H-Ys,
    png-get-pixel-aspect-ratio,
    png-get-pixels-per-meter,
    png-get-progressive-ptr,
    png-get-rgb-to-gray-status,
    png-get-rowbytes,
    png-get-rows,
    png-get-s-BIT,
    png-get-s-CAL,
    png-get-s-PLT,
    png-get-s-RGB,
    png-get-signature,
    png-get-t-IME,
    png-get-t-RNS,
    png-get-text,
    png-get-unknown-chunks,
    png-get-user-chunk-ptr,
    png-get-user-transform-ptr,
    png-get-valid,
    png-get-x-offset-microns,
    png-get-x-offset-pixels,
    png-get-x-pixels-per-meter,
    png-get-y-offset-microns,
    png-get-y-offset-pixels,
    png-get-y-pixels-per-meter,
    png-handle-as-unknown,
    png-info-init,
    png-info-init-3,
    png-init-io,
    png-libpng-ver,
    png-malloc,
    png-malloc-default,
    png-malloc-warn,
    png-memcpy-check,
    png-memset-check,
    png-mmx-support,
    png-pass-dsp-mask,
    png-pass-inc,
    png-pass-mask,
    png-pass-start,
    png-pass-yinc,
    png-pass-ystart,
    png-permit-empty-plte,
    png-permit-mng-features,
    png-process-data,
    png-progressive-combine-row,
    png-read-destroy,
    png-read-end,
    png-read-image,
    png-read-info,
    png-read-png,
    png-read-row,
    png-read-rows,
    png-read-update-info,
    png-reset-zstream,
    png-set-IHDR,
    png-set-PLTE,
    png-set-asm-flags,
    png-set-b-KGD,
    png-set-background,
    png-set-bgr,
    png-set-c-HRM,
    png-set-c-HRM-fixed,
    png-set-compression-buffer-size,
    png-set-compression-level,
    png-set-compression-mem-level,
    png-set-compression-method,
    png-set-compression-strategy,
    png-set-compression-window-bits,
    png-set-crc-action,
    png-set-dither,
    png-set-error-fn,
    png-set-expand,
    png-set-filler,
    png-set-filter,
    png-set-filter-heuristics,
    png-set-flush,
    png-set-g-AMA,
    png-set-g-AMA-fixed,
    png-set-gamma,
    png-set-gray-1-2-4-to-8,
    png-set-gray-to-rgb,
    png-set-h-IST,
    png-set-i-CCP,
    png-set-interlace-handling,
    png-set-invalid,
    png-set-invert-alpha,
    png-set-invert-mono,
    png-set-keep-unknown-chunks,
    png-set-mem-fn,
    png-set-mmx-thresholds,
    png-set-o-F-Fs,
    png-set-p-CAL,
    png-set-p-H-Ys,
    png-set-packing,
    png-set-packswap,
    png-set-palette-to-rgb,
    png-set-progressive-read-fn,
    png-set-read-fn,
    png-set-read-status-fn,
    png-set-read-user-chunk-fn,
    png-set-read-user-transform-fn,
    png-set-rgb-to-gray,
    png-set-rgb-to-gray-fixed,
    png-set-rows,
    png-set-s-BIT,
    png-set-s-CAL,
    png-set-s-PLT,
    png-set-s-RGB,
    png-set-s-RGB-g-AMA-and-c-HRM,
    png-set-shift,
    png-set-sig-bytes,
    png-set-strip-16,
    png-set-strip-alpha,
    png-set-strip-error-numbers,
    png-set-swap,
    png-set-swap-alpha,
    png-set-t-IME,
    png-set-t-RNS,
    png-set-t-RNS-to-alpha,
    png-set-text,
    png-set-unknown-chunk-location,
    png-set-unknown-chunks,
    png-set-user-transform-info,
    png-set-write-fn,
    png-set-write-status-fn,
    png-set-write-user-transform-fn,
    png-sig-cmp,
    png-start-read-image,
    png-warning,
    png-write-chunk,
    png-write-chunk-data,
    png-write-chunk-end,
    png-write-chunk-start,
    png-write-destroy,
    png-write-end,
    png-write-flush,
    png-write-image,
    png-write-info,
    png-write-info-before-PLTE,
    png-write-png,
    png-write-row,
    png-write-rows;
end module;
